Philo - Bug #8
Adding a Page reloads the add form.
08/03/2010 06:01 AM - Kriti Godey

Status: Resolved Start date: 08/03/2010
Priority: Normal Due date:

Assignee: Joseph Spiros % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

When | add a Page, and click either "Save" or "Save and add another", it says "Your page has been added, you may continue editing
it below." When | do it a second time, it works the way it supposed to.

Associated revisions

Revision 247ff613 - 08/18/2010 10:00 PM - Stephen Burrows
Tweaked page add_form template. Fixes bug #8.

Revision 60a1df9c - 08/19/2010 04:02 PM - Stephen Burrows

Re-tweaked page add form to preserve 'continue on normal save' functionality. This is implemented with javascript and will probably break some time
in the future, but there doesn't seem to be a better way to do it at the moment. Fixes bug #8.

Revision €06925fc - 08/20/2010 09:21 PM - Joseph Spiros

Merge branch 'master' of git://github.com/melinath/philo

e 'master' of git://github.com/melinath/philo:
Re-tweaked page add form to preserve 'continue on normal save' functionality. This is implemented with javascript and will probably break some
time in the future, but there doesn't seem to be a better way to do it at the moment. Fixes bug #8.
Tweaked page add_form template. Fixes bug #8.
Moved templateform to forms.py in preparation for experimentation with page forms.
Added collapse classes to attribute and relationship inlines on entities.
Added template code validation to the admin. This essentially addresses bug #14 by catching errors with validation on templates instead of
letting it show up as a server error later. (Note that there should still be better validation on Pages, as deletion of a template say on the filesystem
could render a db-driven template invalid.)
Set TreeModel slug field length to 255 to match Titled

History

#1 - 08/18/2010 10:01 PM - Stephen Burrows
- Status changed from New to Feedback
- Assignee set to Joseph Spiros

- % Done changed from 0 to 100

Addressed by commit 247ff6137449d1d4ae0c35d27048b11157e7b183. The <input name="'_continue'> was forcing it back to the edit page.

#2 - 08/19/2010 02:39 PM - Joseph Spiros
- Status changed from Feedback to New
- Assignee changed from Joseph Spiros to Stephen Burrows

- % Done changed from 100 to 0

The solution in 247ff6137449d1d4ae0c35d27048b11157e7b183 defeats the purpose of a custom template which was created so that that clicking
"Save" should work the same was as "Save and continue editing" when adding a new page. The solution should maintain this functionality.

#3 - 08/19/2010 04:03 PM - Stephen Burrows
- Status changed from New to Feedback

- Assignee changed from Stephen Burrows to Joseph Spiros

New solution: Use js to remove the hidden input if the form is submitted as "add another". Commit 60a1df9c4f1df657cee19951a87f781b0e2bf85a.
http://ithinksw.org/projects/philo/repository/12/revisions/247ff6137449d1d4ae0c35d27048b11157e7b183

#4 - 08/20/2010 10:13 PM - Joseph Spiros

Confirmed fixed in 60a1df9c4f1df657cee19951a87f781b0e2bf85a.

#5 - 08/20/2010 10:14 PM - Joseph Spiros
- Status changed from Feedback to Resolved

- % Done changed from 0 to 100
